### Enumeration

# Qmi ImsaRegistrationTechnology

since: 1.34

#### Declaration

    enum Qmi.ImsaRegistrationTechnology

#### Description [src]

Network technology on which service is available.

Available since: 1.34

#### Members

`QMI_IMSA_REGISTERED_WLAN`

  Registered on WLAN interface.

  - Value: `0`
  - Available since: 1.34
`QMI_IMSA_REGISTERED_WWAN`

  Registered on WWAN interface.

  - Value: `1`
  - Available since: 1.34
`QMI_IMSA_REGISTERED_INTERWORKING_WLAN`

  Registered on Interworking WLAN interface.

  - Value: `2`
  - Available since: 1.34

#### Type functions

###### qmi_imsa_registration_technology_get_string

Gets the nickname string for the `QmiImsaRegistrationTechnology` specified at `val`.

since: 1.34